/* GLOBAL */
@font-face {
  font-family: "Montserrat";
  src: url("/fonts/Montserrat/Montserrat-VariableFont_wght.ttf") format("truetype");
  weight: 100 900;
  style: normal;
}

* {
  font-family: "montserrat", sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  text-wrap: balance;
}

:root {
  --midnight-blue: rgba(17, 35, 45, 1);
  --deepsea-blue: rgba(11, 53, 75, 1);
  --white: rgba(250, 253, 253, 1);
  --chalk-white: rgba(228, 231, 231, 1);
  --gold: rgba(221, 204, 114, 1);
  --accent-yellow: rgba(244, 205, 38, 1);
  --black: rgba(10, 10, 10, 1);
  --graphite: rgba(52, 53, 53, 1);
  --shadow: 0 .2em 2em rgba(5, 5, 5, .6);
}

html {
  font-size: 16px;
}

body {
  background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
  font-size: 1em;
  width: 100vw;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

/* NAVIGATION */
.navbar {
  background: var(--deepsea-blue);
  font-size: .8em;
  font-weight: 500;
  width: 100%;
  position: fixed;
  display: flex;
  align-items: center;
  z-index: 9;
}

nav {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav ul {
  display: flex;
  width: 100%;
}

nav a {
  color: var(--white);
  border: 0.2em solid transparent;
  border-radius: .08;
  padding: .8em .8em;
}

nav li {
  display: flex;
}

.logo {
  width: 30vw;
  z-index: 9;
  display: flex;
  justify-content: flex-start;
  padding: 0 0 0 4em;
}

.p-nav {
  display: flex;
  justify-content: center;
}

.p-nav a:hover {
  color: var(--deepsea-blue);
  background: var(--chalk-white);
  transition: .2s;
}

.s-nav {
  display: flex;
  justify-content: flex-end;
  width: 32.6vw;
  padding: 0 3em 0 0;
}

.s-nav a {
  background: var(--gold);
  color: var(--deepsea-blue);
}

.s-nav a:hover {
  color: var(--black);
  background: var(--accent-yellow);
  transition: .2s ease ease-in-out;
}

#open-menu {
  display: none;
}

.navbar button {
  background: transparent;
  border: none;
}

/* MEDIA QUIERY */
@media(max-width: 835px) {

  .navbar {
    align-items: start;
  }

  nav {
    display: flex;
    flex-direction: column;
    width: 40vw;
    overflow: hidden;
    z-index: 10;
    /* background-color: aliceblue; */
  }

  #mMenu {
    visibility: hidden;
    height: 0;
    transition: .4s ease-in-out;
  }

  #mMenu.expand {
    visibility: visible;
    height: 42vh;
    transition: .4s ease-in-out;
  }

  #overlay {
    position: fixed;
    inset: 0;
    background: rgba(5, 5, 5, .4);
    z-index: -10;
    display: none;
    opacity: 0;
    transition: opacity .4s ease-in-out;
  }

  #overlay.dim {
    position: fixed;
    inset: 1;
    background: rgba(5, 5, 5, .6);
    z-index: 8;
    display: block;
    opacity: 1;
    transition: opacity .4s ease-in-out;
  }

  ul {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  nav a {
    padding: 1em;
  }

  .logo {
    align-items: start;
  }

  .p-nav {
    padding: 0;
  }

  .p-nav a {
    width: 40vw;
    display: flex;
    justify-content: center;
  }

  .s-nav {
    padding: 0;
  }

  .s-nav a {
    background: transparent;
    color: var(--white);
    width: 40vw;
    display: flex;
    justify-content: center;
  }

  #open-menu {
    display: flex;
    margin: 0 auto;
  }
}

/* HOME */
.hero {
  height: 90vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  /* background-image: url("/img/FLBG.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat; */
}

.hero h1 {
  color: var(--chalk-white);
  font-size: clamp(1.8em, 3.2vw, 3em);
  text-align: center;
  margin: .5em;
}

.hero h2 {
  color: var(--chalk-white);
  font-size: clamp(1.4em, 1.8vw, 2em);
  font-weight: 700;
  text-align: center;
  margin: .5em;
}

.hero-btns {
  width: min(24em, 90vw);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.hero-btns form {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  border: transparent;
}

#trackPackBtn {
  background: transparent;
  width: min(9%, 9.5vw);
  padding: .25em .75em .25em 0;
  border: transparent;
  cursor: pointer;
}

#trackPackBtn svg {
  fill: var(--graphite)
}

.track-pack {
  background: var(--white);
  width: 100%;
  border: .5px solid var(--black);
  border-radius: .2em;
  padding: .25em;
  margin: 4em 0;
}

.track-pack:focus-within {
  box-shadow: 0 0em .5em var(--white);
}

.track-input {
  background: var(--white);
  color: var(--graphite);
  font-size: 1em;
  width: min(88.5%, 79.5vw);
  border: transparent;
  border-radius: .2em;
  padding: .25em .75em;
}

.track-input:focus {
  outline: none;
}

input::placeholder {
  color: rgba(17, 35, 45, 0.6);
}

.track-pack:hover {
  box-shadow: 0 0 .5em var(--chalk-white);
}

.tracking-results {
  background: var(--white);
  color: var(--graphite);
  width: 100%;
  max-height: 8em;
  border-radius: .2em;
  border: .5px solid var(--graphite);
  padding: 1em;
  margin: -3.2em 0 3em 0;
  box-shadow: 0 0 1em var(--white);
}

.cta {
  font-weight: 600;
  width: min(24em, 90vw);
  height: min(4em, 15vw);
  display: flex;
  justify-content: space-between;
  cursor: pointer;
}

.cta-minor {
  background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
  color: var(--accent-yellow);
  font-size: .88em;
  font-weight: 500;
  border: 1px solid var(--midnight-blue);
  border-radius: 0.2em;
  width: 48%;
  padding: 1em;
  box-shadow: 0 0 1em rgba(5, 5, 5, .6);
}

.cta-major {
  background: linear-gradient(var(--accent-yellow), var(--gold));
  color: var(--graphite);
  border: 1px solid var(--gold);
  border-radius: 0.2em;
  width: 48%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1em;
  box-shadow: 0 0 1em rgba(5, 5, 5, .6);
}

.cta a:hover,
.cta button:hover {
  transition: .2s;
  box-shadow: 0 0 1.5em var(--accent-yellow);
}

svg {
  padding: .2em;
}

/* ABOUT */
.abt {
  background: linear-gradient(var(--chalk-white), var(--white));
  color: var(--graphite);
  min-height: 60vh;
  width: 100vw;
  display: block;
  padding: 1.5em;
}

.abt p {
  text-align: center;
  padding: 1em;
}

h1 {
  font-size: clamp(1.8em, 3.2vw, 3em);
  text-align: center;
  margin: 1em 0;
}

h2 {
  color: var(--graphite);
  font-size: clamp(1.4em, 3vw, 2em);
  text-align: center;
  margin: 1em 0;
}

/* SERVICES */
.srv {
  background: linear-gradient(var(--chalk-white), var(--white));
  min-height: 90vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  padding: 3em 2em;
}

.srv h1 {
  color: var(--graphite);
  font-size: clamp(1.6em, 3.2vw, 3em);
}

.srv h2 {
  font-size: clamp(1.2em, 2vw, 1.6em);
  margin: 0 0 1em;
}

.srv-details {
  background: var(--white);
  color: var(--graphite);
  text-align: center;
  border: .5px solid var(--graphite);
  border-radius: .2em;
  width: min(40em, 90vw);
  padding: 2em;
  margin: 1em;
}

/* Terms */

.terms-details {
  color: var(--graphite);
  border: transparent;
  line-height: 1.5;
  border-radius: .2em;
  width: min(50em, 100vw);
  padding: 2em 4em;
  margin: 1em;
}

.terms-details a {
  color: var(--graphite);
  font-weight: 500;
}

.terms-details ol {
  padding: 0 0 0 1em;
}

.terms-details li {
  padding: 1em 0;
  text-align: left;
  word-wrap: normal;
}

/* RATE CALC */

.rates {
  background: linear-gradient(var(--chalk-white), var(--white));
  height: 145vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}

.rts {
  background: var(--white);
  width: min(25em, 90vw);
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border: .5px solid var(--graphite);
  border-radius: .2em;
  /* box-shadow: var(--shadow); */
}

.input-box,
.price,
.shipping-location select {
  background: var(--chalk-white);
  color: var(--graphite);
  width: min(10em, 40vw);
  font-size: 1em;
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  margin: .5em 0;
  padding: .25em 1em;
}

.rts button {
  background: var(--deepsea-blue);
  color: var(--white);
  font-size: 1em;
  border: 1px solid var(--deepsea-blue);
  border-radius: .2em;
  width: 5em;
  height: 2.5em;
  margin: .5em;
  padding: .2em;
  transition: .2s;
}

.rts button:hover {
  background: var(--midnight-blue);
  color: var(--white);
  cursor: pointer;
}

.rts::placeholder {
  font-size: .8em;
}

.rates p {
  width: 100%;
  font-size: .9em;
  text-align: center;
}

.rateTbls {
  background: var(--chalk-white);
  width: min(30em, 90vw);
  height: 70vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  border-radius: .2em;
  padding: 2em;
  /* box-shadow: var(--shadow); */
}

.rates table {
  width: 100%;
  height: 55vh;
  table-layout: fixed;
  border-collapse: collapse;
}

.rates th {
  background: var(--deepsea-blue);
  color: var(--white);
  padding: .5em;
}

.rates td {
  background: var(--white);
  color: var(--graphite);
  font-weight: 450;
  text-align: center;
  padding: .5em;
}

/* CONTACTS */
.contacts {
  background: linear-gradient(rgba(228, 231, 231, 0.9),
      rgba(250, 253, 253, 0.9));
  color: var(--graphite);
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap-reverse;
  overflow: hidden;
}

.contacts h2 {
  font-size: clamp(1em, 2.2vw, 1.2em);
  text-align: center;
  font-weight: 500;
  margin: .5em;
}

.maps iframe {
  border-radius: .2em;
  aspect-ratio: 1/1;
  width: 100%;
  height: 100%;
}

.contact-links {
  width: min(40em, 90vw);
  padding: 1em;
  margin: 1em 0 0;
}

.instant {
  background: var(--white);
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  border-radius: .2em;
  margin: 1em 0;
  font-size: 1em;
  padding: .25em;
}

.instant a {
  display: flex;
  align-items: center;
  color: var(--graphite);
  font-size: .8em;
  padding: .25em;
}

.instant a:hover {
  color: var(--midnight-blue);
  text-decoration: none;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact-form {
  background: var(--chalk-white);
  width: min(30em, 90vw);
  border-radius: .2em;
  margin: 1em 0 0;
}

.message::placeholder {
  color: rgba(17, 35, 45, 0.6);
  font-size: .8em;
}

.contact-form input::placeholder {
  color: rgba(17, 35, 45, .6);
  font-size: .8em;
}

.contact-form input {
  font-size: 1em;
  width: 90%;
  background: var(--white);
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  padding: .5em 1em;
  margin: .25em 0;
}

.message {
  background: var(--white);
  font-size: 1em;
  width: 90%;
  height: 20em;
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  margin: .25em 0;
  padding: 1em;
}

.contact-form button {
  background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
  color: var(--gold);
  font-size: 1em;
  width: 90%;
  display: block;
  margin: .25em auto 2em;
  cursor: pointer;
  border: 1px solid transparent;
  border-radius: 0.2em;
  padding: .5em 0;
}

.contact-form button:hover {
  background: var(--accent-yellow);
  color: var(--black);
  transition: 0.2s;
}

/* FOOTER */
footer {
  color: var(--white);
  background: var(--deepsea-blue);
  padding: 2em;
  font-size: 0.8em;
  bottom: 0;
}

.footer {
  font-size: .8em;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2em;
}

.footer a {
  color: var(--chalk-white);
  font-weight: 700;
}

.footer a:hover {
  text-decoration: underline;
}

@keyframes blink {
  0% {
    visibility: visible;
  }

  50% {
    visibility: hidden;
  }

  100% {
    visibility: visible;
  }
}